<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Кража '; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
aut();
$oke = htmlspecialchars(trim($_GET['oke']));
$ids = intval($_GET['id']);
if ($ank['garem_set3']==0){
if ($ank['garem_set']==0){
{
if($ank['pol'] == $user['pol'])
{
echo 'Разрешено красть только людей противоположного пола!';
include_once 'sys/inc/tfoot.php';
exit;
}
$ank = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $ids LIMIT 1"));
if($ank['aa3'] == 0)
{
$cena = 250;
} else if($ank['aa3'] == 1) {
$cena = 350;
} else {
$cena = (($ank['aa3']*100)+250);
}
if($oke == 'ok')
{
if($user['balls'] < $cena)
{
echo 'У вас недостаточно баллов!';
include_once 'sys/inc/tfoot.php';
exit;
}
if ($user['pol']==1)
{
$a = '';
} else {
$a = 'a';
}
if ($ank['pol']==1)
{
$apt = 'его';
} else {
$apt = 'её';
}
$msgno = 'Вас украли в гарем к '.$user['nick'].' весёлого новоселья ;)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$ank['id']."', '".$msgno."', '".$time."')");
mysql_query("UPDATE `user` SET `balls` = `balls`-$cena, `aa2` = `aa2`+1 WHERE `id` = '".$user['id']."';");
mysql_query("UPDATE `user` SET `aa3` = `aa3`+1, `aa1` = '".$user['id']."' WHERE `id` = '".$ank['id']."';");
if(intval($ank['aa1']) != 0)
{
mysql_query("UPDATE user SET aa2=aa2-1 WHERE id='".$ank['aa1']."';");
$msgn = 'Пользователь '.$user['nick'].' украл'.$a.' у вас из гарема жителя: '.$ank['nick'].', удачи отвоевать '.$apt.' обратно ;)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$ank['aa1']."', '".$msgn."', '".$time."')");
}
echo 'Удачно!) Желаем вам большой гарем)))';
} else {
echo '<div class="str">Вы хотите украсть <a href="info.php?id='.$ids.'"><strong>'.$ank['nick'].'</strong></a><br />
Стоимость: <strong>'.$cena.'</strong> баллов.<br />
<a href="/garem/krazh.php?&oke=ok&id='.$ids.'"><strong>Украсть</strong></a></div>';
}
}
}}
include_once '../sys/inc/tfoot.php';
?>
